summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_html_specs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/reproducible_html_specs.sh')
-rwxr-xr-xbin/reproducible_html_specs.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/bin/reproducible_html_specs.sh b/bin/reproducible_html_specs.sh
new file mode 100755
index 00000000..0a8ff888
--- /dev/null
+++ b/bin/reproducible_html_specs.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# Copyright © 2015 Mattia Rizzolo <mattia@mapreri.org>
+# Copyright © 2015 Holger Levsen <holger@mapreri.org>
+# released under the GPLv=2
+
+DEBUG=false
+. /srv/jenkins/bin/common-functions.sh
+common_init "$@"
+
+. /srv/jenkins/bin/reproducible_common.sh
+
+set -e
+
+VERSION=$(git log -1 --pretty='%h')
+SPEC=$1
+
+make html
+
+mkdir -pv "$BASE/specs/$1"
+
+mv -v html/* "$BASE/specs/$1"
+
+irc_message "$REPRODUCIBLE_URL/specs/$1 updated to $VERSION"
+
+